$schema: "http://json-schema.org/draft-06/schema#"

title: networkservices v1alpha1 GrpcRouteRouteMatch export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  headers:
    description: Specifies a collection of headers to match.
    type: array
    items:
      $ref: GrpcRouteHeaderMatch.yaml
  method:
    description: |-
      A gRPC method to match against. If this field is empty or omitted,
      will match all methods.
    $ref: GrpcRouteMethodMatch.yaml
